import 'package:car_customer_app/config/constants.dart';
import 'package:car_customer_app/utils/utils.dart';
import 'package:flutter/material.dart';

class UserImage extends StatelessWidget {
  double? size;
  String? url;

  UserImage({this.size, this.url});

  @override
  Widget build(BuildContext context) {
    return Container(
      height: size ?? 60,
      width: size ?? 60,
      decoration: containerRadius(Colors.transparent, 1000),
      clipBehavior: Clip.antiAlias,
      child: Image.asset(
        url ?? icons + "Blue Masked.jpg",
        width: double.infinity,
        height: double.infinity,
        fit: BoxFit.cover,
      ),
    );
  }
}
